#global date 20231209
#global commit 35311b68945f25c10397f4e894e7045f8359143a
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           asahi-audio
Version:        v3.3
Release:        1.20250508180227210882.pr70.2.gc236206%{?dist}
Summary:        PipeWire DSP profiles for Apple Silicon machines
License:        MIT
URL:            https://github.com/AsahiLinux/asahi-audio
%if %{defined commit}
Source:         asahi-audio-v3.3.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  make
Requires:       pipewire >= 1.0
Requires:       wireplumber >= 0.5.1-2
Requires:       pipewire-module-filter-chain-lv2
Requires:       lsp-plugins-lv2 >= 1.2.13-2
Requires:       lv2-bankstown >= 1.1.0
Requires:       lv2-triforce >= 0.2.0
Recommends:     speakersafetyd

%description
PipeWire and WirePlumber DSP profiles and configurations to
drive the speaker arrays in Apple Silicon laptops and desktops.

%prep
%autosetup %{?commit:-n\ %{name}-%{commit}} -n asahi-audio-v3.3

%build
%make_build

%install
%make_install PREFIX=%{_prefix} DATA_DIR=%{_datadir}

%files
%license LICENSE
%doc README.md
%{_datadir}/asahi-audio/
%{_datadir}/wireplumber/scripts/device/asahi-limit-volume.lua
%{_datadir}/wireplumber/wireplumber.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire-pulse.conf.d/99-asahi.conf

%changelog
* Thu May 08 2025 Packit <hello@packit.dev> - v3.3-1.20250508180227210882.pr70.2.gc236206
- README: MacBook Pro 13 inch mic support (Alex Schwartz)
- README: fix minor year typo (Alex Schwartz)
